//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>
#import <Diffusion/PTDiffusionPagedTopicOrderingPolicy.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to paged topics.

 @see PTDiffusionPagedTopicDetailsBuilder
 
 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicAttributes : PTDiffusionTopicAttributes

/**
 The ordering policy.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionPagedTopicOrderingPolicy* orderingPolicy;

/**
 Compares the receiver to the given paged topic attributes.

 @param pagedTopicAttributes The paged topic attributes object with which to compare the receiver.

 @return `YES` if the paged topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedTopicAttributes:(nullable PTDiffusionPagedTopicAttributes *)pagedTopicAttributes;

@end

NS_ASSUME_NONNULL_END
