//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionPagedTopicOrderingPolicy.h>

@class PTDiffusionPagedRecordTopicOrderKey;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Describes a paged record ordering policy.
 
 @see PTDiffusionPagedRecordTopicDetailsBuilder

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedRecordTopicOrderingPolicy : PTDiffusionPagedTopicOrderingPolicy

/**
 The list of order keys which specify the sort ordering.

 @since 5.7
 */
@property(nonatomic, readonly) NSArray<PTDiffusionPagedRecordTopicOrderKey *>* orderKeys;

/**
 Compares the receiver to the given paged record topic ordering policy.

 @param pagedRecordTopicOrderingPolicy The paged record topic ordering policy object with which to compare the receiver.

 @return `YES` if the paged record topic ordering policy is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedRecordTopicOrderingPolicy:(nullable PTDiffusionPagedRecordTopicOrderingPolicy *)pagedRecordTopicOrderingPolicy;

@end

NS_ASSUME_NONNULL_END
